ReaderEncryption (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl.reader

## Class ReaderEncryption

- java.lang.Object
- - org.apache.orc.impl.reader.ReaderEncryption

-     public class ReaderEncryption
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderEncryption()`
    `ReaderEncryption(OrcProto.Footer footer, TypeDescription schema, long stripeStatisticsOffset, BufferChunk serializedTail, List<StripeInformation> stripes, KeyProvider provider, Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReaderEncryptionKey[]` | `getKeys()`
    `MaskDescriptionImpl[]` | `getMasks()`
    `ReaderEncryptionVariant` | `getVariant(int column)` Get the variant for a given column that the user has access to.
    `ReaderEncryptionVariant[]` | `getVariants()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderEncryption

          public ReaderEncryption()

    - #### ReaderEncryption

          public ReaderEncryption(OrcProto.Footer footer,
                                  TypeDescription schema,
                                  long stripeStatisticsOffset,
                                  BufferChunk serializedTail,
                                  List<StripeInformation> stripes,
                                  KeyProvider provider,
                                  Configuration conf)
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getMasks

          public MaskDescriptionImpl[] getMasks()

    - #### getKeys

          public ReaderEncryptionKey[] getKeys()

    - #### getVariants

          public ReaderEncryptionVariant[] getVariants()

    - #### getVariant

          public ReaderEncryptionVariant getVariant(int column)

      Get the variant for a given column that the user has access to. If we haven't tried a given key, try to decrypt this variant's footer key to see if the KeyProvider will give it to us. If not, continue to the next variant.
      Parameters:
        `column` - the column id
      Returns:
        the encryption variant or null if there isn't one

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.